Bug 198837 - (eris) Review Request: eris - Client-side session layer for Atlas-C++
Review Request: eris - Client-side session layer for Atlas-C++
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On: wfmath skstream Atlas-C++
Blocks: FE-ACCEPT sear
  Show dependency treegraph
 
Reported: 2006-07-13 18:58 EDT by Wart
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 14:49:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wart 2006-07-13 18:58:57 EDT
Spec URL: http://www.kobold.org/~wart/fedora/eris.spec
SRPM URL: http://www.kobold.org/~wart/fedora/eris-1.3.11-1.src.rpm
Description: 
A client side session layer for WorldForge; Eris manages much of the generic
work required to communicate with an Atlas server. Client developers can extend
Eris in a number of ways to rapidly add game and client specific functions, and
quickly tie game objects to whatever outpu representation they are using.
Comment 1 Christopher Stone 2006-07-14 01:23:00 EDT
- rpmlint output:
W: eris incoherent-version-in-changelog 1.3.11-0.1 1.3.11-1.fc5

Must fix changelog version number

- package name meets package naming guidelines
- spec file name matches package %{name}
- package meets packaging guidelines
- package is licensed with open source compatible license
- license matches actual upstream license
- license file included in %doc
- spec file written in American english
- spec file is legible
- source file matches upstream
632bb5ad0e8cbcf59c8f26c50c320b7d  eris-1.3.11.tar.gz
- package successfully compiles and builds on x86_64 FC-5
O package does not list all build dependencies, configure checks for glib-2.0
which is not provided
- package does not contain locales
- package contains proper %post/%postun ldconfig calls
- package is not relocatable
- package owns all directories it creates
- package does not contain duplicate files
- file permissions are set properly
- package contains proper %clean section
- macro usage is consistent
- package contains permissible content
- package does not contain large documentation
- files in %doc do not affect runtime
- header files are in devel package
- pkgconfig files are in devel
- libraries w/o suffix are in devel
- devel package requires base package
- package does not contain any .la files
- package is not a GUI needing a .desktop file
- package does not own files or directories owned by other packages

==== MUST ====
- Remove pkgconfig from BuildRequries, this should be picked up by the devel
packages
- Fix changelog version number
- "outpu" in description should be "output"
- Why is glib-2.0 not added in BuildRequires?
- Add a %check section
- %doc in devel should be docs/html/*
Comment 2 Wart 2006-07-14 16:36:36 EDT
(In reply to comment #1)
> ==== MUST ====
> - Remove pkgconfig from BuildRequries, this should be picked up by the devel
> packages
> - Fix changelog version number
> - "outpu" in description should be "output"

fixed, fixed, and fixed.

> - Why is glib-2.0 not added in BuildRequires?

I didn't see that it made any difference during the build, but I guess upstream
has it there for a reason.  Added.

> - Add a %check section

Added.  The first time I ran this on FC4-x86_64 in mock, the tests hung.  The
next few times it was ok.  I'll keep an eye on the build system and disable the
tests if they cause problems.

> - %doc in devel should be docs/html/*

Fixed.

http://www.kobold.org/~wart/fedora/eris-1.3.11-2.src.rpm
http://www.kobold.org/~wart/fedora/eris.spec
Comment 3 Wart 2006-07-19 17:08:49 EDT
Thanks for the review!

This has been imported, but can't be built until wfmath is approved.
Comment 4 Wart 2006-07-27 14:49:22 EDT
This has been built now that wfmath is available.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.